weka.associations

## Interface CARuleMiner

- All Superinterfaces:
    OptionHandler
  All Known Implementing Classes:
    Apriori

      public interface CARuleMiner
      extends OptionHandler

  Interface for learning class association rules. All schemes for learning class association rules implemement this interface.
  Version:
    $Revision: 10172 $
  Author:
    Stefan Mutter (mutter@cs.waikato.ac.nz)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Instances` | `getInstancesNoClass()` Gets the instances without the class attribute
    `Instances` | `getInstancesOnlyClass()` Gets the class attribute and its values for all instances
    `java.lang.String` | `metricString()` Gets name of the scoring metric used for car mining
    `java.util.ArrayList<java.lang.Object>[]` | `mineCARs(Instances data)` Method for mining class association rules.
    `void` | `setClassIndex(int index)` Sets the class index for the class association rule miner

    - ### Methods inherited from interface weka.core.OptionHandler

      `getOptions, listOptions, setOptions`

- - ### Method Detail

    - #### mineCARs

          java.util.ArrayList<java.lang.Object>[] mineCARs(Instances data)
                                                    throws java.lang.Exception

      Method for mining class association rules. Must initialize all fields of the CARuleMiner that are not being set via options (ie. multiple calls of mineCARs must always lead to the same result). Must not change the dataset in any way.
      Parameters:
        `data` - the insatnces for which class association rules are mined
      Returns:
        class association rules and their scoring metric in an FastVector array
      Throws:
        `java.lang.Exception` - throws exception if class association rules cannot be mined

    - #### getInstancesNoClass

          Instances getInstancesNoClass()

      Gets the instances without the class attribute
      Returns:
        the instances withoput the class attribute

    - #### getInstancesOnlyClass

          Instances getInstancesOnlyClass()

      Gets the class attribute and its values for all instances
      Returns:
        the class attribute and its values for all instances

    - #### metricString

          java.lang.String metricString()

      Gets name of the scoring metric used for car mining
      Returns:
        string containing the name of the scoring metric

    - #### setClassIndex

          void setClassIndex(int index)

      Sets the class index for the class association rule miner
      Parameters:
        `index` - the class index